package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsFtplanMapper;
import com.ruoyi.project.training.bccnew.domain.TTsFtplan;
import com.ruoyi.project.training.bccnew.service.ITTsFtplanService;

/**
 * 芳烃培训Service业务层处理
 *
 * @author ssy
 * @date 2024-06-13
 */
@Service
public class TTsFtplanServiceImpl implements ITTsFtplanService
{
    @Autowired
    private TTsFtplanMapper tTsFtplanMapper;

    /**
     * 查询芳烃培训
     *
     * @param id 芳烃培训ID
     * @return 芳烃培训
     */
    @Override
    public TTsFtplan selectTTsFtplanById(Long id)
    {
        return tTsFtplanMapper.selectTTsFtplanById(id);
    }

    /**
     * 查询芳烃培训列表
     *
     * @param tTsFtplan 芳烃培训
     * @return 芳烃培训
     */
    @Override
    public List<TTsFtplan> selectTTsFtplanList(TTsFtplan tTsFtplan)
    {
        return tTsFtplanMapper.selectTTsFtplanList(tTsFtplan);
    }
    @Override
    public List<TTsFtplan> selectTTsFtplanListByNewId(TTsFtplan tTsFtplan)
    {
        return tTsFtplanMapper.selectTTsFtplanListByNewId(tTsFtplan);
    }

    /**
     * 新增芳烃培训
     *
     * @param tTsFtplan 芳烃培训
     * @return 结果
     */
    @Override
    public int insertTTsFtplan(TTsFtplan tTsFtplan)
    {
        return tTsFtplanMapper.insertTTsFtplan(tTsFtplan);
    }

    /**
     * 修改芳烃培训
     *
     * @param tTsFtplan 芳烃培训
     * @return 结果
     */
    @Override
    public int updateTTsFtplan(TTsFtplan tTsFtplan)
    {
        return tTsFtplanMapper.updateTTsFtplan(tTsFtplan);
    }

    /**
     * 批量删除芳烃培训
     *
     * @param ids 需要删除的芳烃培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsFtplanByIds(Long[] ids)
    {
        return tTsFtplanMapper.deleteTTsFtplanByIds(ids);
    }

    /**
     * 删除芳烃培训信息
     *
     * @param id 芳烃培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsFtplanById(Long id)
    {
        return tTsFtplanMapper.deleteTTsFtplanById(id);
    }
}
